game_level_hints.levels["Chapter06_02"] = function()
	return 
    {
		miniscenes({
			intihuatana_present = 
			{
				on_scene("intihuatana_past", click("gui_amulet_inti_past")),
				on_scene("crystals_present", end_level("_area_to_inti"))
			},
			intihuatana_past = 
			{
				on_scene("intihuatana_present", click("gui_amulet_inti_present"))
			},
			crystals_present =
			{
				on_scene("intihuatana_present", end_level("_area_to_crystals")),
				on_scene("crystals_past", click("gui_amulet_crystals_past")),
				on_scene("miniscene_well_present", end_level("to_crystals_present_hints")),
				on_scene("miniscene_well_present", end_level("_area_go_to_crystals_present"))				
			},
			miniscene_well_present =
			{
				on_scene("crystals_present", miniscene("area_well_present"))
			},
			miniscene_table_past =
			{
				on_scene("crystals_past", miniscene("area_minigame_past"))
			},
			miniscene_well_past =
			{
				on_scene("crystals_past", miniscene("_area_well_past"))
			},
			crystals_past =
			{
				on_scene("crystals_present", click("gui_amulet_crystals_present")),
				on_scene("secret_room", end_level("_area_go_to_crystals_past")),
				on_scene("miniscene_well_past", end_level("to_crystals_past_hints")),
				on_scene("miniscene_well_past", end_level("_area_go_to_crystals_past")),
				on_scene("miniscene_table_past", end_level("area_to_cr_for_hint01")),
				on_scene("miniscene_table_past", end_level("_area_to_crystals_pres"))
			},
			secret_room =
			{
				on_scene("crystals_past", end_level("_area_door"))
			}
		}),
		
		hog_hints("chapter06_hog02"),
		
		IF({disabled("area_hog02"), on_level("Kipu")}, on_scene("crystals_past", minigame("_area_well_past"))),
		on_scene("secret_room", minigame("area_hog02")),
		on_scene("miniscene_table_past", click("area_table", "Kipu")),
		on_scene("crystals_past", click("area_minigame_past", "Kipu")),
		on_scene("intihuatana_present", 
		{
			IF(NOT(hidden("clip_well_open")), {
				click("area_ropes", "Knife"),
				take("Rope", "area_ropes")
			})
		}),
		on_scene("miniscene_well_past", click("area_deep_well_past", "Rope")),
		on_scene("crystals_past", click("_area_well_past", "Rope")),
		on_scene("miniscene_well_past", click("area_deep_well_past", "Crowbar"))
	}
end 